{% load core_template_tags %}
{% if page_obj.has_other_pages %}

<nav>
    <div class="row mt-2">
        <div class="col-lg-6">
            <ul class="pagination mb-0">
                {% if page_obj.has_previous %}
                <li class="page-item">
                    <a class="page-link" href="?{% url_replace page='1' %}">
                        <i class="fa fa-angle-double-left" aria-hidden="true"></i>
                    </a>
                </li>
                <li class="page-item">
                    <a class="page-link" href="?{% url_replace page=page_obj.previous_page_number %}" tabindex="-1">
                        <!-- <i class="fa fa-angle-left" aria-hidden="true"></i> -->
                        previous
                    </a>
                </li>
                {% endif %}
                {% for num in page_obj.paginator.page_range|iterator %}
                {% if page_obj.number == num %}
                <li class="page-item active">
                    <a class="page-link" href="javascript:;">{{ num }}<span class="sr-only">(current)</span></a>
                </li>
                {% elif page_obj.paginator.num_pages > 3 and num == page_obj.number|add:'-3' %}
                <!-- <li class="page-item">
                    <a class="page-link" href="?{% url_replace page=page_obj.number|add:'-3' %}" tabindex="-1">
                        <i class="fa fa-angle-left" aria-hidden="true"></i>
                    </a>
                </li> -->
                {% elif num > page_obj.number|add:'-3' and num < page_obj.number|add:'3' %}
                <li class="page-item">
                    <a class="page-link" href="?{% url_replace page=num %}">{{ num }}<span class="sr-only">(current)</span></a>
                </li>
                {% elif page_obj.paginator.num_pages > 3 and num == page_obj.number|add:'3' %}
                    <!-- <li class="page-item">
                        <a class="page-link" href="?{% url_replace page=page_obj.number|add:'3' %}">
                            <i class="fa fa-angle-right" aria-hidden="true"></i>
                        </a>
                    </li> -->
                {% endif %}
                {% endfor %}

                {% if page_obj.has_next %}
                <li class="page-item">
                    <a class="page-link" href="?{% url_replace page=page_obj.next_page_number %}">
                        <!-- <i class="fa fa-angle-right" aria-hidden="true"></i> -->
                        next
                    </a>
                </li>
                <li class="page-item">
                    <a class="page-link" href="?{% url_replace page=page_obj.paginator.num_pages  %}">
                        <i class="fa fa-angle-double-right" aria-hidden="true"></i>
                    </a>
                </li>
                {% endif %}
            </ul>
        </div>
        <div class="col-lg-6">
            <span class="current text-right d-block">
                Total Results {{ page_obj.paginator.count }} Showing Page {{ page_obj.number }} of {{ page_obj.paginator.num_pages }}.
            </span>
        </div>
    </div>
</nav>
{% endif %}